Skip to content
Install

Get database details, connection info, and live cluster health

GET
/databases/{id}
curl --request GET \
--url https://example.com/databases/example \
--header 'Authorization: Bearer <token>'

Auth: authenticated (scope: read)

id
required
string

OK

Media typeapplication/json
object
backupScheduleCron
string | null
backupsEnabled
required
boolean
clusterName
string | null
connectionString
required
string | null
containerName
string | null
cpuRequestMilli
number | null
createdAt
required
string
createdBy
string | null
creator
object
email
string | null
firstName
string | null
id
required
string
lastName
string | null
username
string | null
key
additional properties
dbName
required
string
dbPassword
required
string | null
dbUser
required
string
environmentId
string | null
host
required
string
id
required
string
importBoosted
required
boolean
installedExtensions
internalHost
required
string
keepsLocalBackups
boolean
liveStatus
required
object
conditions
Array<object>
object
key
additional properties
connections
number
currentPrimary
string
exists
boolean
lastTerminationAt
string
lastTerminationExitCode
number
lastTerminationReason
string
message
string
phase
string
ready
boolean
readyReplicas
number
replicas
number
restartCount
number
size
string
key
additional properties
memoryRequestBytes
Any of:
string
mode
required
string
name
required
string
namespace
string | null
pgParameters
object | null
pods
required
Array<object>
object
key
additional properties
port
required
number
projectId
required
string
publicConnectionString
required
string | null
publicEnabled
required
boolean
publicHostname
required
string | null
publicIp
string | null
publicPort
number | null
publicStatus
object
addresses
required
Array<string>
reason
required
string | null
state
required
string
Allowed values: ready pending failed unknown
r2ProxyAccessKey
string | null
r2ProxySecret
string | null
sharedPreloadLibs
Array<string> | null
status
required
string
storageSize
string | null
templateInstanceId
string | null
updatedAt
required
string
key
additional properties

Example

{
"publicStatus": {
"state": "ready"
}
}